VendPower Developers

API Documentation

REST API for electricity, betting wallets, cable TV, mobile data, airtime, and Vend Airtime to Cash. Authenticate with an approved X-API-Key.

JSON over HTTPS X-API-Key auth Idempotent purchases
All systems normal

Base URL

https://api.vendpower.ng/api/v1

Validate cable customer

X-API-Key
POST/cable/validate

Verify a smartcard / IUC before purchase.

curl -X POST "https://api.vendpower.ng/api/v1/cable/validate" \
  -H "X-API-Key: YOUR_X_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
    "biller_code": "DSTV",
    "customer_id": "1234567890"
  }'

Authentication

Send your approved API key on every request. Keep it on your server only.

HeaderValueRequired
X-API-KeyYOUR_X_API_KEYYes
Content-Typeapplication/jsonYes
Acceptapplication/jsonRecommended

Authentication failures (401 / 403 / 429) are listed in Authentication.

Parameters

Body parameters

NameTypeRequiredDescription
biller_codestringYesDSTV | GOTV | STARTIMES
customer_idstringYesSmartcard / IUC number

Responses

200 OK — Validated

{
  "success": true,
  "message": "Cable customer validated.",
  "data": {
    "biller_code": "DSTV",
    "customer_id": "1234567890",
    "customer_name": "JOHN DOE"
  }
}

Errors

Errors specific to this endpoint, in addition to common authentication and validation failures.

CodeHTTPWhen
VALIDATION_FAILED422Meter / smartcard / customer could not be verified.
BILLER_NOT_FOUND404Unknown or inactive disco / biller for your API scope.

VendPower Developer API